edu.wpi.first.wpilibj

## Class JoystickBase

- java.lang.Object
- - edu.wpi.first.wpilibj.GenericHID
  - - edu.wpi.first.wpilibj.JoystickBase

- Deprecated.
  Inherit directly from GenericHID instead.

      @Deprecated
      public abstract class JoystickBase
      extends GenericHID

  JoystickBase Interface.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.wpi.first.wpilibj.GenericHID

      `GenericHID.Hand, GenericHID.HIDType, GenericHID.RumbleType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoystickBase(int port)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract double` | `getThrottle()` Deprecated. Get the throttle.
    `abstract double` | `getTwist()` Deprecated. Get the twist value.
    `double` | `getZ()` Deprecated.
    `abstract double` | `getZ(GenericHID.Hand hand)` Deprecated. Get the z position of the HID.

    - ### Methods inherited from class edu.wpi.first.wpilibj.GenericHID

      `getAxisCount, getAxisType, getButtonCount, getName, getPort, getPOV, getPOV, getPOVCount, getRawAxis, getRawButton, getRawButtonPressed, getRawButtonReleased, getType, getX, getX, getY, getY, setOutput, setOutputs, setRumble`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JoystickBase

          public JoystickBase(int port)

      Deprecated.

  - ### Method Detail

    - #### getZ

          public abstract double getZ(GenericHID.Hand hand)

      Deprecated.
      Get the z position of the HID.
      Parameters:
        `hand` - which hand, left or right
      Returns:
        the z position

    - #### getZ

          public double getZ()

      Deprecated.

    - #### getTwist

          public abstract double getTwist()

      Deprecated.
      Get the twist value.
      Returns:
        the twist value

    - #### getThrottle

          public abstract double getThrottle()

      Deprecated.
      Get the throttle.
      Returns:
        the throttle value